I have applied Build 428 Device Interface patch to my server running the latest version, Build 428 and find out that users (iPhone 4, 4.3.4 and 4.3.5 OS versions) are getting "Unable to verify account" if they are trying to verify their account or add a new account or change their GroupWise password.

The older version of the DeviceInterface.pyc works ok.